//enumerations
enum BITS : unsigned int
    {
        BIT0 = 0x000001,
        BIT1 = 0x000002,
        BIT2 = 0x000004,
        BIT3 = 0x000008,
        BIT4 = 0x000010,
        BIT5 = 0x000020,
        BIT6 = 0x000040,
        BIT7 = 0x000080,
        BIT8 = 0x000100,
        BIT9 = 0x000200,
        BIT10 = 0x000400,
        BIT11 = 0x000800,
        BIT12 = 0x001000,
        BIT13 = 0x002000,
        BIT14 = 0x004000,
        BIT15 = 0x008000,
        BIT16 = 0x00010000,
        BIT17 = 0x00020000,
        BIT18 = 0x00040000,
        BIT19 = 0x00080000,
        BIT20 = 0x00100000,
        BIT21 = 0x00200000,
        BIT22 = 0x00400000,
        BIT23 = 0x00800000,
        BIT24 = 0x01000000,
        BIT25 = 0x02000000,
        BIT26 = 0x04000000,
        BIT27 = 0x08000000,
        BIT28 = 0x10000000,
        BIT29 = 0x20000000,
        BIT30 = 0x40000000,
        BIT31 = 0x80000000
    };
// Types
#define	UInt8	BYTE	
#define	UInt16	WORD
#define	UInt32	DWORD

//Connect To Host
bool __stdcall ConnectToHost(UInt16 Instance);

//Disconnect From Host
bool __stdcall Disconnect(UInt16 Instance);

//Current Monitor
//data : Current value in mA
bool __stdcall P3V3_Current_Monitor(UInt16 Instance,double* data);

//I2C Read 
bool __stdcall I2CRead(int Instance, BYTE SlaveAddress, BYTE registerAddress, BYTE* ReadBuff, BYTE Length);

//I2C Write 
bool __stdcall I2CWrite(int Instance, BYTE SlaveAddress, BYTE Register , BYTE Value);

//Get VCC
bool __stdcall GetVCC(UInt16 Instance, double* Data);
	
//MOD_ABS
bool __stdcall MODPRS(UInt16 Instance,bool* status);

//LPMODE
bool __stdcall LPMODE(UInt16 Instance,bool asserted); 

//RESET
bool __stdcall RESET(UInt16 Instance,bool asserted); 

//MODSEL
bool __stdcall MODSEL(UInt16 Instance,bool asserted);

//IntL
bool __stdcall IntL(UInt16 Instance,bool* status);